auth

package
v0.0.0-...-bfae352 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Feb 5, 2025 License: MIT Imports: 10 Imported by: 0

Documentation

Index

Constants

View Source
const GetFrontendAuthCallbackBadRequestCode int = 400

GetFrontendAuthCallbackBadRequestCode is the HTTP code returned for type GetFrontendAuthCallbackBadRequest

View Source
const GetFrontendAuthCallbackInternalServerErrorCode int = 500

GetFrontendAuthCallbackInternalServerErrorCode is the HTTP code returned for type GetFrontendAuthCallbackInternalServerError

View Source
const GetFrontendAuthCallbackNotFoundCode int = 404

GetFrontendAuthCallbackNotFoundCode is the HTTP code returned for type GetFrontendAuthCallbackNotFound

View Source
const GetFrontendAuthCallbackOKCode int = 200

GetFrontendAuthCallbackOKCode is the HTTP code returned for type GetFrontendAuthCallbackOK

View Source
const GetFrontendAuthCallbackUnauthorizedCode int = 401

GetFrontendAuthCallbackUnauthorizedCode is the HTTP code returned for type GetFrontendAuthCallbackUnauthorized

View Source
const GetFrontendAuthWalletConnectBadRequestCode int = 400

GetFrontendAuthWalletConnectBadRequestCode is the HTTP code returned for type GetFrontendAuthWalletConnectBadRequest

View Source
const GetFrontendAuthWalletConnectInternalServerErrorCode int = 500

GetFrontendAuthWalletConnectInternalServerErrorCode is the HTTP code returned for type GetFrontendAuthWalletConnectInternalServerError

View Source
const GetFrontendAuthWalletConnectNotFoundCode int = 404

GetFrontendAuthWalletConnectNotFoundCode is the HTTP code returned for type GetFrontendAuthWalletConnectNotFound

View Source
const GetFrontendAuthWalletConnectOKCode int = 200

GetFrontendAuthWalletConnectOKCode is the HTTP code returned for type GetFrontendAuthWalletConnectOK

View Source
const GetFrontendAuthWalletConnectUnauthorizedCode int = 401

GetFrontendAuthWalletConnectUnauthorizedCode is the HTTP code returned for type GetFrontendAuthWalletConnectUnauthorized

View Source
const PostFrontendAuthWalletConnectBadRequestCode int = 400

PostFrontendAuthWalletConnectBadRequestCode is the HTTP code returned for type PostFrontendAuthWalletConnectBadRequest

View Source
const PostFrontendAuthWalletConnectInternalServerErrorCode int = 500

PostFrontendAuthWalletConnectInternalServerErrorCode is the HTTP code returned for type PostFrontendAuthWalletConnectInternalServerError

View Source
const PostFrontendAuthWalletConnectNotFoundCode int = 404

PostFrontendAuthWalletConnectNotFoundCode is the HTTP code returned for type PostFrontendAuthWalletConnectNotFound

View Source
const PostFrontendAuthWalletConnectOKCode int = 200

PostFrontendAuthWalletConnectOKCode is the HTTP code returned for type PostFrontendAuthWalletConnectOK

View Source
const PostFrontendAuthWalletConnectUnauthorizedCode int = 401

PostFrontendAuthWalletConnectUnauthorizedCode is the HTTP code returned for type PostFrontendAuthWalletConnectUnauthorized

Variables

This section is empty.

Functions

This section is empty.

Types

type GetFrontendAuthCallback

type GetFrontendAuthCallback struct {
	Context *middleware.Context
	Handler GetFrontendAuthCallbackHandler
}
GetFrontendAuthCallback swagger:route GET /frontend/auth/callback Auth getFrontendAuthCallback

oauth2 callback from provider

func NewGetFrontendAuthCallback

func NewGetFrontendAuthCallback(ctx *middleware.Context, handler GetFrontendAuthCallbackHandler) *GetFrontendAuthCallback

NewGetFrontendAuthCallback creates a new http.Handler for the get frontend auth callback operation

func (*GetFrontendAuthCallback) ServeHTTP

type GetFrontendAuthCallbackBadRequest

type GetFrontendAuthCallbackBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthCallbackBadRequest Bad request due to missing or invalid parameters.

swagger:response getFrontendAuthCallbackBadRequest

func NewGetFrontendAuthCallbackBadRequest

func NewGetFrontendAuthCallbackBadRequest() *GetFrontendAuthCallbackBadRequest

NewGetFrontendAuthCallbackBadRequest creates GetFrontendAuthCallbackBadRequest with default headers values

func (*GetFrontendAuthCallbackBadRequest) SetPayload

func (o *GetFrontendAuthCallbackBadRequest) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the get frontend auth callback bad request response

func (*GetFrontendAuthCallbackBadRequest) WithPayload

WithPayload adds the payload to the get frontend auth callback bad request response

func (*GetFrontendAuthCallbackBadRequest) WriteResponse

func (o *GetFrontendAuthCallbackBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFrontendAuthCallbackHandler

type GetFrontendAuthCallbackHandler interface {
	Handle(GetFrontendAuthCallbackParams) middleware.Responder
}

GetFrontendAuthCallbackHandler interface for that can handle valid get frontend auth callback params

type GetFrontendAuthCallbackHandlerFunc

type GetFrontendAuthCallbackHandlerFunc func(GetFrontendAuthCallbackParams) middleware.Responder

GetFrontendAuthCallbackHandlerFunc turns a function with the right signature into a get frontend auth callback handler

func (GetFrontendAuthCallbackHandlerFunc) Handle

Handle executing the request and returning a response

type GetFrontendAuthCallbackInternalServerError

type GetFrontendAuthCallbackInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthCallbackInternalServerError Internal server error.

swagger:response getFrontendAuthCallbackInternalServerError

func NewGetFrontendAuthCallbackInternalServerError

func NewGetFrontendAuthCallbackInternalServerError() *GetFrontendAuthCallbackInternalServerError

NewGetFrontendAuthCallbackInternalServerError creates GetFrontendAuthCallbackInternalServerError with default headers values

func (*GetFrontendAuthCallbackInternalServerError) SetPayload

SetPayload sets the payload to the get frontend auth callback internal server error response

func (*GetFrontendAuthCallbackInternalServerError) WithPayload

WithPayload adds the payload to the get frontend auth callback internal server error response

func (*GetFrontendAuthCallbackInternalServerError) WriteResponse

WriteResponse to the client

type GetFrontendAuthCallbackNotFound

type GetFrontendAuthCallbackNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthCallbackNotFound Not found. The requested resource could not be found.

swagger:response getFrontendAuthCallbackNotFound

func NewGetFrontendAuthCallbackNotFound

func NewGetFrontendAuthCallbackNotFound() *GetFrontendAuthCallbackNotFound

NewGetFrontendAuthCallbackNotFound creates GetFrontendAuthCallbackNotFound with default headers values

func (*GetFrontendAuthCallbackNotFound) SetPayload

func (o *GetFrontendAuthCallbackNotFound) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the get frontend auth callback not found response

func (*GetFrontendAuthCallbackNotFound) WithPayload

WithPayload adds the payload to the get frontend auth callback not found response

func (*GetFrontendAuthCallbackNotFound) WriteResponse

func (o *GetFrontendAuthCallbackNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFrontendAuthCallbackOK

type GetFrontendAuthCallbackOK struct {

	/*
	  In: Body
	*/
	Payload *models.Callback `json:"body,omitempty"`
}

GetFrontendAuthCallbackOK callback from oauth

swagger:response getFrontendAuthCallbackOK

func NewGetFrontendAuthCallbackOK

func NewGetFrontendAuthCallbackOK() *GetFrontendAuthCallbackOK

NewGetFrontendAuthCallbackOK creates GetFrontendAuthCallbackOK with default headers values

func (*GetFrontendAuthCallbackOK) SetPayload

func (o *GetFrontendAuthCallbackOK) SetPayload(payload *models.Callback)

SetPayload sets the payload to the get frontend auth callback o k response

func (*GetFrontendAuthCallbackOK) WithPayload

WithPayload adds the payload to the get frontend auth callback o k response

func (*GetFrontendAuthCallbackOK) WriteResponse

func (o *GetFrontendAuthCallbackOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFrontendAuthCallbackParams

type GetFrontendAuthCallbackParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*code
	  In: query
	*/
	Code *string
	/*state
	  In: query
	*/
	State *string
}

GetFrontendAuthCallbackParams contains all the bound params for the get frontend auth callback operation typically these are obtained from a http.Request

swagger:parameters GetFrontendAuthCallback

func NewGetFrontendAuthCallbackParams

func NewGetFrontendAuthCallbackParams() GetFrontendAuthCallbackParams

NewGetFrontendAuthCallbackParams creates a new GetFrontendAuthCallbackParams object

There are no default values defined in the spec.

func (*GetFrontendAuthCallbackParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFrontendAuthCallbackParams() beforehand.

type GetFrontendAuthCallbackURL

type GetFrontendAuthCallbackURL struct {
	Code  *string
	State *string
	// contains filtered or unexported fields
}

GetFrontendAuthCallbackURL generates an URL for the get frontend auth callback operation

func (*GetFrontendAuthCallbackURL) Build

func (o *GetFrontendAuthCallbackURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFrontendAuthCallbackURL) BuildFull

func (o *GetFrontendAuthCallbackURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFrontendAuthCallbackURL) Must

func (o *GetFrontendAuthCallbackURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFrontendAuthCallbackURL) SetBasePath

func (o *GetFrontendAuthCallbackURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFrontendAuthCallbackURL) String

func (o *GetFrontendAuthCallbackURL) String() string

String returns the string representation of the path with query string

func (*GetFrontendAuthCallbackURL) StringFull

func (o *GetFrontendAuthCallbackURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFrontendAuthCallbackURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFrontendAuthCallbackUnauthorized

type GetFrontendAuthCallbackUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthCallbackUnauthorized Unauthorized. The request is missing valid authentication.

swagger:response getFrontendAuthCallbackUnauthorized

func NewGetFrontendAuthCallbackUnauthorized

func NewGetFrontendAuthCallbackUnauthorized() *GetFrontendAuthCallbackUnauthorized

NewGetFrontendAuthCallbackUnauthorized creates GetFrontendAuthCallbackUnauthorized with default headers values

func (*GetFrontendAuthCallbackUnauthorized) SetPayload

SetPayload sets the payload to the get frontend auth callback unauthorized response

func (*GetFrontendAuthCallbackUnauthorized) WithPayload

WithPayload adds the payload to the get frontend auth callback unauthorized response

func (*GetFrontendAuthCallbackUnauthorized) WriteResponse

WriteResponse to the client

type GetFrontendAuthWalletConnect

type GetFrontendAuthWalletConnect struct {
	Context *middleware.Context
	Handler GetFrontendAuthWalletConnectHandler
}
GetFrontendAuthWalletConnect swagger:route GET /frontend/auth/wallet-connect auth getFrontendAuthWalletConnect

This API endpoint create, store and returns credentials for new user

func NewGetFrontendAuthWalletConnect

func NewGetFrontendAuthWalletConnect(ctx *middleware.Context, handler GetFrontendAuthWalletConnectHandler) *GetFrontendAuthWalletConnect

NewGetFrontendAuthWalletConnect creates a new http.Handler for the get frontend auth wallet connect operation

func (*GetFrontendAuthWalletConnect) ServeHTTP

type GetFrontendAuthWalletConnectBadRequest

type GetFrontendAuthWalletConnectBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthWalletConnectBadRequest Bad request due to missing or invalid parameters.

swagger:response getFrontendAuthWalletConnectBadRequest

func NewGetFrontendAuthWalletConnectBadRequest

func NewGetFrontendAuthWalletConnectBadRequest() *GetFrontendAuthWalletConnectBadRequest

NewGetFrontendAuthWalletConnectBadRequest creates GetFrontendAuthWalletConnectBadRequest with default headers values

func (*GetFrontendAuthWalletConnectBadRequest) SetPayload

SetPayload sets the payload to the get frontend auth wallet connect bad request response

func (*GetFrontendAuthWalletConnectBadRequest) WithPayload

WithPayload adds the payload to the get frontend auth wallet connect bad request response

func (*GetFrontendAuthWalletConnectBadRequest) WriteResponse

WriteResponse to the client

type GetFrontendAuthWalletConnectHandler

type GetFrontendAuthWalletConnectHandler interface {
	Handle(GetFrontendAuthWalletConnectParams, *models.Principal) middleware.Responder
}

GetFrontendAuthWalletConnectHandler interface for that can handle valid get frontend auth wallet connect params

type GetFrontendAuthWalletConnectHandlerFunc

type GetFrontendAuthWalletConnectHandlerFunc func(GetFrontendAuthWalletConnectParams, *models.Principal) middleware.Responder

GetFrontendAuthWalletConnectHandlerFunc turns a function with the right signature into a get frontend auth wallet connect handler

func (GetFrontendAuthWalletConnectHandlerFunc) Handle

Handle executing the request and returning a response

type GetFrontendAuthWalletConnectInternalServerError

type GetFrontendAuthWalletConnectInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthWalletConnectInternalServerError Internal server error.

swagger:response getFrontendAuthWalletConnectInternalServerError

func NewGetFrontendAuthWalletConnectInternalServerError

func NewGetFrontendAuthWalletConnectInternalServerError() *GetFrontendAuthWalletConnectInternalServerError

NewGetFrontendAuthWalletConnectInternalServerError creates GetFrontendAuthWalletConnectInternalServerError with default headers values

func (*GetFrontendAuthWalletConnectInternalServerError) SetPayload

SetPayload sets the payload to the get frontend auth wallet connect internal server error response

func (*GetFrontendAuthWalletConnectInternalServerError) WithPayload

WithPayload adds the payload to the get frontend auth wallet connect internal server error response

func (*GetFrontendAuthWalletConnectInternalServerError) WriteResponse

WriteResponse to the client

type GetFrontendAuthWalletConnectNotFound

type GetFrontendAuthWalletConnectNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthWalletConnectNotFound Not found. The requested resource could not be found.

swagger:response getFrontendAuthWalletConnectNotFound

func NewGetFrontendAuthWalletConnectNotFound

func NewGetFrontendAuthWalletConnectNotFound() *GetFrontendAuthWalletConnectNotFound

NewGetFrontendAuthWalletConnectNotFound creates GetFrontendAuthWalletConnectNotFound with default headers values

func (*GetFrontendAuthWalletConnectNotFound) SetPayload

SetPayload sets the payload to the get frontend auth wallet connect not found response

func (*GetFrontendAuthWalletConnectNotFound) WithPayload

WithPayload adds the payload to the get frontend auth wallet connect not found response

func (*GetFrontendAuthWalletConnectNotFound) WriteResponse

WriteResponse to the client

type GetFrontendAuthWalletConnectOK

type GetFrontendAuthWalletConnectOK struct {

	/*
	  In: Body
	*/
	Payload *models.Nonce `json:"body,omitempty"`
}

GetFrontendAuthWalletConnectOK check public address in db

swagger:response getFrontendAuthWalletConnectOK

func NewGetFrontendAuthWalletConnectOK

func NewGetFrontendAuthWalletConnectOK() *GetFrontendAuthWalletConnectOK

NewGetFrontendAuthWalletConnectOK creates GetFrontendAuthWalletConnectOK with default headers values

func (*GetFrontendAuthWalletConnectOK) SetPayload

func (o *GetFrontendAuthWalletConnectOK) SetPayload(payload *models.Nonce)

SetPayload sets the payload to the get frontend auth wallet connect o k response

func (*GetFrontendAuthWalletConnectOK) WithPayload

WithPayload adds the payload to the get frontend auth wallet connect o k response

func (*GetFrontendAuthWalletConnectOK) WriteResponse

func (o *GetFrontendAuthWalletConnectOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFrontendAuthWalletConnectParams

type GetFrontendAuthWalletConnectParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*public address
	  In: query
	*/
	Address *string
	/*operation type
	  In: query
	*/
	Operation *string
}

GetFrontendAuthWalletConnectParams contains all the bound params for the get frontend auth wallet connect operation typically these are obtained from a http.Request

swagger:parameters GetFrontendAuthWalletConnect

func NewGetFrontendAuthWalletConnectParams

func NewGetFrontendAuthWalletConnectParams() GetFrontendAuthWalletConnectParams

NewGetFrontendAuthWalletConnectParams creates a new GetFrontendAuthWalletConnectParams object

There are no default values defined in the spec.

func (*GetFrontendAuthWalletConnectParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFrontendAuthWalletConnectParams() beforehand.

type GetFrontendAuthWalletConnectURL

type GetFrontendAuthWalletConnectURL struct {
	Address   *string
	Operation *string
	// contains filtered or unexported fields
}

GetFrontendAuthWalletConnectURL generates an URL for the get frontend auth wallet connect operation

func (*GetFrontendAuthWalletConnectURL) Build

Build a url path and query string

func (*GetFrontendAuthWalletConnectURL) BuildFull

func (o *GetFrontendAuthWalletConnectURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFrontendAuthWalletConnectURL) Must

func (o *GetFrontendAuthWalletConnectURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFrontendAuthWalletConnectURL) SetBasePath

func (o *GetFrontendAuthWalletConnectURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFrontendAuthWalletConnectURL) String

String returns the string representation of the path with query string

func (*GetFrontendAuthWalletConnectURL) StringFull

func (o *GetFrontendAuthWalletConnectURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFrontendAuthWalletConnectURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFrontendAuthWalletConnectUnauthorized

type GetFrontendAuthWalletConnectUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetFrontendAuthWalletConnectUnauthorized Unauthorized. The request is missing valid authentication.

swagger:response getFrontendAuthWalletConnectUnauthorized

func NewGetFrontendAuthWalletConnectUnauthorized

func NewGetFrontendAuthWalletConnectUnauthorized() *GetFrontendAuthWalletConnectUnauthorized

NewGetFrontendAuthWalletConnectUnauthorized creates GetFrontendAuthWalletConnectUnauthorized with default headers values

func (*GetFrontendAuthWalletConnectUnauthorized) SetPayload

SetPayload sets the payload to the get frontend auth wallet connect unauthorized response

func (*GetFrontendAuthWalletConnectUnauthorized) WithPayload

WithPayload adds the payload to the get frontend auth wallet connect unauthorized response

func (*GetFrontendAuthWalletConnectUnauthorized) WriteResponse

WriteResponse to the client

type PostFrontendAuthWalletConnect

type PostFrontendAuthWalletConnect struct {
	Context *middleware.Context
	Handler PostFrontendAuthWalletConnectHandler
}
PostFrontendAuthWalletConnect swagger:route POST /frontend/auth/wallet-connect Auth postFrontendAuthWalletConnect

This API endpoint create, store and returns credentials for new user

func NewPostFrontendAuthWalletConnect

func NewPostFrontendAuthWalletConnect(ctx *middleware.Context, handler PostFrontendAuthWalletConnectHandler) *PostFrontendAuthWalletConnect

NewPostFrontendAuthWalletConnect creates a new http.Handler for the post frontend auth wallet connect operation

func (*PostFrontendAuthWalletConnect) ServeHTTP

type PostFrontendAuthWalletConnectBadRequest

type PostFrontendAuthWalletConnectBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

PostFrontendAuthWalletConnectBadRequest Bad request due to missing or invalid parameters.

swagger:response postFrontendAuthWalletConnectBadRequest

func NewPostFrontendAuthWalletConnectBadRequest

func NewPostFrontendAuthWalletConnectBadRequest() *PostFrontendAuthWalletConnectBadRequest

NewPostFrontendAuthWalletConnectBadRequest creates PostFrontendAuthWalletConnectBadRequest with default headers values

func (*PostFrontendAuthWalletConnectBadRequest) SetPayload

SetPayload sets the payload to the post frontend auth wallet connect bad request response

func (*PostFrontendAuthWalletConnectBadRequest) WithPayload

WithPayload adds the payload to the post frontend auth wallet connect bad request response

func (*PostFrontendAuthWalletConnectBadRequest) WriteResponse

WriteResponse to the client

type PostFrontendAuthWalletConnectHandler

type PostFrontendAuthWalletConnectHandler interface {
	Handle(PostFrontendAuthWalletConnectParams) middleware.Responder
}

PostFrontendAuthWalletConnectHandler interface for that can handle valid post frontend auth wallet connect params

type PostFrontendAuthWalletConnectHandlerFunc

type PostFrontendAuthWalletConnectHandlerFunc func(PostFrontendAuthWalletConnectParams) middleware.Responder

PostFrontendAuthWalletConnectHandlerFunc turns a function with the right signature into a post frontend auth wallet connect handler

func (PostFrontendAuthWalletConnectHandlerFunc) Handle

Handle executing the request and returning a response

type PostFrontendAuthWalletConnectInternalServerError

type PostFrontendAuthWalletConnectInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

PostFrontendAuthWalletConnectInternalServerError Internal server error.

swagger:response postFrontendAuthWalletConnectInternalServerError

func NewPostFrontendAuthWalletConnectInternalServerError

func NewPostFrontendAuthWalletConnectInternalServerError() *PostFrontendAuthWalletConnectInternalServerError

NewPostFrontendAuthWalletConnectInternalServerError creates PostFrontendAuthWalletConnectInternalServerError with default headers values

func (*PostFrontendAuthWalletConnectInternalServerError) SetPayload

SetPayload sets the payload to the post frontend auth wallet connect internal server error response

func (*PostFrontendAuthWalletConnectInternalServerError) WithPayload

WithPayload adds the payload to the post frontend auth wallet connect internal server error response

func (*PostFrontendAuthWalletConnectInternalServerError) WriteResponse

WriteResponse to the client

type PostFrontendAuthWalletConnectNotFound

type PostFrontendAuthWalletConnectNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

PostFrontendAuthWalletConnectNotFound Not found. The requested resource could not be found.

swagger:response postFrontendAuthWalletConnectNotFound

func NewPostFrontendAuthWalletConnectNotFound

func NewPostFrontendAuthWalletConnectNotFound() *PostFrontendAuthWalletConnectNotFound

NewPostFrontendAuthWalletConnectNotFound creates PostFrontendAuthWalletConnectNotFound with default headers values

func (*PostFrontendAuthWalletConnectNotFound) SetPayload

SetPayload sets the payload to the post frontend auth wallet connect not found response

func (*PostFrontendAuthWalletConnectNotFound) WithPayload

WithPayload adds the payload to the post frontend auth wallet connect not found response

func (*PostFrontendAuthWalletConnectNotFound) WriteResponse

WriteResponse to the client

type PostFrontendAuthWalletConnectOK

type PostFrontendAuthWalletConnectOK struct {

	/*
	  In: Body
	*/
	Payload *models.LoginMetamaskOK `json:"body,omitempty"`
}

PostFrontendAuthWalletConnectOK auth using signature verification

swagger:response postFrontendAuthWalletConnectOK

func NewPostFrontendAuthWalletConnectOK

func NewPostFrontendAuthWalletConnectOK() *PostFrontendAuthWalletConnectOK

NewPostFrontendAuthWalletConnectOK creates PostFrontendAuthWalletConnectOK with default headers values

func (*PostFrontendAuthWalletConnectOK) SetPayload

func (o *PostFrontendAuthWalletConnectOK) SetPayload(payload *models.LoginMetamaskOK)

SetPayload sets the payload to the post frontend auth wallet connect o k response

func (*PostFrontendAuthWalletConnectOK) WithPayload

WithPayload adds the payload to the post frontend auth wallet connect o k response

func (*PostFrontendAuthWalletConnectOK) WriteResponse

func (o *PostFrontendAuthWalletConnectOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostFrontendAuthWalletConnectParams

type PostFrontendAuthWalletConnectParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: body
	*/
	Body *models.VerifySignature
}

PostFrontendAuthWalletConnectParams contains all the bound params for the post frontend auth wallet connect operation typically these are obtained from a http.Request

swagger:parameters PostFrontendAuthWalletConnect

func NewPostFrontendAuthWalletConnectParams

func NewPostFrontendAuthWalletConnectParams() PostFrontendAuthWalletConnectParams

NewPostFrontendAuthWalletConnectParams creates a new PostFrontendAuthWalletConnectParams object

There are no default values defined in the spec.

func (*PostFrontendAuthWalletConnectParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPostFrontendAuthWalletConnectParams() beforehand.

type PostFrontendAuthWalletConnectURL

type PostFrontendAuthWalletConnectURL struct {
	// contains filtered or unexported fields
}

PostFrontendAuthWalletConnectURL generates an URL for the post frontend auth wallet connect operation

func (*PostFrontendAuthWalletConnectURL) Build

Build a url path and query string

func (*PostFrontendAuthWalletConnectURL) BuildFull

func (o *PostFrontendAuthWalletConnectURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostFrontendAuthWalletConnectURL) Must

Must is a helper function to panic when the url builder returns an error

func (*PostFrontendAuthWalletConnectURL) SetBasePath

func (o *PostFrontendAuthWalletConnectURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PostFrontendAuthWalletConnectURL) String

String returns the string representation of the path with query string

func (*PostFrontendAuthWalletConnectURL) StringFull

func (o *PostFrontendAuthWalletConnectURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PostFrontendAuthWalletConnectURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostFrontendAuthWalletConnectUnauthorized

type PostFrontendAuthWalletConnectUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

PostFrontendAuthWalletConnectUnauthorized Unauthorized. The request is missing valid authentication.

swagger:response postFrontendAuthWalletConnectUnauthorized

func NewPostFrontendAuthWalletConnectUnauthorized

func NewPostFrontendAuthWalletConnectUnauthorized() *PostFrontendAuthWalletConnectUnauthorized

NewPostFrontendAuthWalletConnectUnauthorized creates PostFrontendAuthWalletConnectUnauthorized with default headers values

func (*PostFrontendAuthWalletConnectUnauthorized) SetPayload

SetPayload sets the payload to the post frontend auth wallet connect unauthorized response

func (*PostFrontendAuthWalletConnectUnauthorized) WithPayload

WithPayload adds the payload to the post frontend auth wallet connect unauthorized response

func (*PostFrontendAuthWalletConnectUnauthorized) WriteResponse

WriteResponse to the client

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL
⌂ 换网址